Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453972 - Crash in case of high usage
Summary: Crash in case of high usage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 15:47 UTC by Stefan Neufeind
Modified: 2009-01-09 10:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 10:36:25 UTC


Attachments (Terms of Use)

Description Stefan Neufeind 2008-07-03 15:47:26 UTC
Experienced the problem described here:
http://lists.openstreetmap.org/pipermail/tilesathome/2008-February/001835.html
http://lists.openstreetmap.org/pipermail/tilesathome/2008-April/002106.html
https://bugs.launchpad.net/inkscape/+bug/202103/+viewstatus

It seems, as the links describe, there is a way to use a switch for compiling
the garbage-collector to allow working with larger data. Could that possibly be
used to compile Inkscape/GC for Fedora, if not in general maybe at least on
x86_64 (which might theoretically have a bit more memory) or so?

Comment 1 Lubomir Rintel 2008-07-03 17:14:00 UTC
Thanks for the report Stefan. I've CCed GC's maintainer, Rex -- His opinion is
definitely needed here.

Also, to me it seems like the launchpad bug you linked to is another issue.

Comment 2 Rex Dieter 2008-07-03 17:31:10 UTC
building gc with --enable-large-config seems perfectly reasonable, I'll look
into it.

Comment 3 Stefan Neufeind 2008-07-03 17:32:58 UTC
yes, sorry - you might be right about the launchpad-bug ...

Comment 4 Rex Dieter 2008-07-13 00:30:47 UTC
gc built with --enable-large-config:
rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=712359
F-9 (scratch build): http://koji.fedoraproject.org/koji/taskinfo?taskID=712365

Comment 5 Rex Dieter 2008-07-13 01:23:28 UTC
OK, a legit and working F-9 (scrach) build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=712400 

Comment 6 Rex Dieter 2008-09-06 17:52:48 UTC
ping, anyone have a chance to try out the test gc build?

Comment 7 Lubomir Rintel 2008-10-27 09:10:17 UTC
Ping?

Comment 8 Stefan Neufeind 2008-10-27 09:21:55 UTC
sorry, can't (shortly) test this myself

Comment 9 Lubomir Rintel 2009-01-09 10:36:25 UTC
So the new gc is in effect; and noone complained so far, so I am closing this.


Note You need to log in before you can comment on or make changes to this bug.